Ticket #309 (reopened bug)

Opened 9 years ago

Last modified 8 years ago

setSampleRate() fails on Apogee AD16-x and DA16-x

Reported by: peanut Assigned to:
Priority: waiting for device info Milestone: Indeterminant (need device info)
Component: devices/bebob Version: FFADO 2.0.1
Keywords: setSampleRate 96000 88200 Apogee Cc:
The device the bug applies to: Apogee AD16-X & DA16-X

Description

I've been running the last six UbuntuStudio? versions and was able to connect to a Mackie Onyx mixers, model 1640 and 1620, via firewire at desired frequencies (44.1/48/88.2/96kHz) using the "firewire" option (ffado) in jackd.

However, the Apogee devices AD16-X and DA16-X behave differently.
At 44.1/48kHz sample rate these devices operate fine.
At 88.2/96kHz connecting to these devices fails.

By calling

/usr/bin/jackd -dfirewire -r96000 -p4096 -n3 -v6 &> jackd_fails@96000_ad16x.txt

and

/usr/bin/jackd -dfirewire -r96000 -p4096 -n3 -v6 &> jackd_fails@96000_da16x.txt

when hooked to the respective devices, I conserved error messages which I am attaching to this ticket. These reports were filed under UbuntuStudio? 10.10.

The problem seems to be located in
in function Plug::setSampleRate()
of file avc_plug.cpp
of libffado-2.0.1, since trouble starts with message
"Warning (avc_plug.cpp)[ 965] setSampleRate: output plug signal format command not accepted".

Again, this function does not fail on the Mackie Onyx 1640/1620 firewire option card.

I may be able to give further assistance since I am a programmer who also owns all these devices.

Attachments

jackd_fails@96000_on_apogee.tar.gz (15.3 kB) - added by peanut on 10/14/10 17:16:35.
jackd error messages during hookup attempt at 96kHz on two apogee devices

Change History

10/14/10 17:16:35 changed by peanut

  • attachment jackd_fails@96000_on_apogee.tar.gz added.

jackd error messages during hookup attempt at 96kHz on two apogee devices

04/01/12 07:40:14 changed by jwoithe

This ticket is a year old but there has been no progress on it to date. Not being familiar with the whole Bebob/AVC protocol myself I can't really lend assistance here. Assuming the original reporter is still available to help out, is there anyone around who would be able to lend assistance to the reporter to perhaps work through the issue? At least then if we discover that these devices aren't completely compatible with the bebob driver we can acknowledge this.

04/02/12 12:59:35 changed by wagi

Normally, this error message says that the vendor has decided not to allow the user to set the sample rate from the PC side. Provably, there is a hardware knob to set the sample rate.

Or do I understand the report wrong?

  • At 44.1/48kHz sample rate these devices operate fine.

This can be set per software?

  • At 88.2/96kHz connecting to these devices fails.

and this one not?

That would be very surprising, since the setSampleRate command takes only the frequency and not some format information.

The 44.1/48 works vs 88.2/96 works not looks very suspicious like a ADAT/SPDIF configuration issue.

06/01/12 05:18:24 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

Without further communication from the original reporter I don't see that we can address this issue at this point in time. I'll therefore close the ticket as "wontfix" for now. If further information comes to hand (especially along the lines of the queries mentioned in comment 2) the ticket can be re-opened to continue the discussion.

06/01/12 05:20:12 changed by jwoithe

  • priority changed from critical to waiting for device info.
  • status changed from closed to reopened.
  • resolution deleted.
  • milestone changed from FFADO 2.x to Indeterminant (need device info).

On second thoughts, I'll keep this one open for now, but note that additional hardware information is required via the priority and milestone fields.